"""Added column for signatures

Revision ID: f0e8022dc814
Revises: 6b45cfe1799c
Create Date: 2022-05-24 14:19:19.022226

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "f0e8022dc814"
down_revision = "6b45cfe1799c"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "dropper_claimants", sa.Column("signature", sa.String(), nullable=True)
    )
    op.create_index(
        op.f("ix_dropper_claimants_signature"),
        "dropper_claimants",
        ["signature"],
        unique=False,
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(
        op.f("ix_dropper_claimants_signature"), table_name="dropper_claimants"
    )
    op.drop_column("dropper_claimants", "signature")
    # ### end Alembic commands ###
