# robots

Generate terminus interface:

```bash
mkdir -p pkg/terminus
abigen --abi abi/TerminusFacet.json --pkg terminus --out pkg/terminus/terminus.go
```

## Airdrop preparations

Prepare Entity collection:

```bash
curl "https://api.moonstream.to/entity/collections" \
    --header "Authorization: Bearer ${MOONSTREAM_ACCESS_TOKEN}" \
    --header "Content-Type: application/json" \
    --data '{
        "name": "Test whitelist 1"
    }'
```

### Spire

Currently, the creation of public entity collections is available only to administrators through `spire` CLI.

```bash
export COLLECTION_ID="<uuid_of_previously_created_entity_collection>"
```

List available public autogenerated users:

```bash
public-journals users list
```

Create public user, if required:

```bash
public-journals users create --name "test-public-user"
```

Make collection public with `--entry-update` or `--entry-create` flags if required:

```bash
public-journals journals make --token "${MOONSTREAM_ACCESS_TOKEN}" \
    --journal-id "${COLLECTION_ID}" \
    --public-user-id "${PUBLIC_USER_ID}"
```
